Package com.omnisci.thrift.server

## Class OmniSci.AsyncClient.start_query_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall<TPendingQuery>
  - - com.omnisci.thrift.server.OmniSci.AsyncClient.start_query_call

Enclosing class:
  OmniSci.AsyncClient

    public static class OmniSci.AsyncClient.start_query_call
    extends org.apache.thrift.async.TAsyncMethodCall<TPendingQuery>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

`org.apache.thrift.async.TAsyncMethodCall.State`

### Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

`client, transport`

### Constructor Summary

Constructors

`start_query_call​(String leaf_session, String parent_session, String query_ra, String start_time_str, boolean just_explain, List<Long> outer_fragment_indices, org.apache.thrift.async.AsyncMethodCallback<TPendingQuery> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TPendingQuery` `getResult()`
`void` `write_args​(org.apache.thrift.protocol.TProtocol prot)`

### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### start_query_call

    public start_query_call​(String leaf_session,
                            String parent_session,
                            String query_ra,
                            String start_time_str,
                            boolean just_explain,
                            List<Long> outer_fragment_indices,
                            org.apache.thrift.async.AsyncMethodCallback<TPendingQuery> resultHandler,
                            org.apache.thrift.async.TAsyncClient client,
                            org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                            org.apache.thrift.transport.TNonblockingTransport transport)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### Method Detail

#### write_args

    public void write_args​(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

Specified by:
  `write_args` in class `org.apache.thrift.async.TAsyncMethodCall<TPendingQuery>`
Throws:
  `org.apache.thrift.TException`

#### getResult

    public TPendingQuery getResult()
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.async.TAsyncMethodCall<TPendingQuery>`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`